GET /templates/{templateID}/builds/{buildID}/status
Template build status
Get template build info
Параметры
templateID·string· путь · обязательноbuildID·string· путь · обязательноlogsOffset·integer· запрос · необязательноIndex of the starting build log that should be returned with the template
Формат:
int32По умолчанию:
0Минимум:
0limit·integer· запрос · необязательноMaximum number of logs that should be returned
Формат:
int32По умолчанию:
100Минимум:
0Максимум:
100level·LogLevel· запрос · необязательноState of the sandbox
Допустимые значения для
LogLevel:debug|info|warn|error
Ответы
200
Successfully returned the template
Content-Type: application/json
Схема: TemplateBuildInfo
logs·array<string>· обязательноBuild logs
По умолчанию:
[]logEntries·array<BuildLogEntry>· обязательноBuild logs structured
По умолчанию:
[]logEntries.id·string· необязательноStable identifier used to reconcile overlapping live log pages
logEntries.timestamp·string· обязательноTimestamp of the log entry
Формат:
date-timelogEntries.message·string· обязательноLog message content
logEntries.level·LogLevel· обязательноState of the sandbox
Допустимые значения для
LogLevel:debug|info|warn|errorlogEntries.step·string· необязательноStep in the build process related to the log entry
templateID·string· обязательноIdentifier of the template
buildID·string· обязательноIdentifier of the build
status·TemplateBuildStatus· обязательноStatus of the template build
Допустимые значения для
TemplateBuildStatus:building|waiting|ready|errorreason·BuildStatusReason· необязательноreason.message·string· обязательноMessage with the status reason, currently reporting only for error status
reason.step·string· необязательноStep that failed
reason.logEntries·array<BuildLogEntry>· необязательноLog entries related to the status reason
По умолчанию:
[]reason.logEntries.id·string· необязательноStable identifier used to reconcile overlapping live log pages
reason.logEntries.timestamp·string· обязательноTimestamp of the log entry
Формат:
date-timereason.logEntries.message·string· обязательноLog message content
reason.logEntries.level·LogLevel· обязательноState of the sandbox
Допустимые значения для
LogLevel:debug|info|warn|errorreason.logEntries.step·string· необязательноStep in the build process related to the log entry
401
Authentication error
Content-Type: application/json
Схема: Error
code·integer· обязательноError code
Формат:
int32message·string· обязательноError
404
Not found
Content-Type: application/json
Схема: Error
code·integer· обязательноError code
Формат:
int32message·string· обязательноError
500
Server error
Content-Type: application/json
Схема: Error
code·integer· обязательноError code
Формат:
int32message·string· обязательноError